<?php
/**
 * $Horde: kronolith/status.php,v 1.21 2003/02/17 23:16:07 chuck Exp $
 *
 * Copyright 1999-2003 Charles J. Hagenbuch <chuck@horde.org>
 * Copyright 1999-2003 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

// Get any alarms in the next hour.
$_now = time();
$_alarmList = Nag::listAlarms(Nag::timestampToObject($_now));

$_messages = array();
foreach ($_alarmList as  $_task) {

    $differential = Nag::getDueTimestamp($_task,$_now) - $_now;
    $_key = $_alarmEvent->getDueTimestamp($_task);
    while (isset($_messages[$_key])) {
        $_key++;
    }
    if ($differential >= -60 && $differential < 60) {
        $_messages[$_key] = array(sprintf(_("%s is due now."), $_task['title']), 'nag.alarm');
    } elseif ($differential >= 60 ) {
        $_messages[$_key] = array(sprintf(_("%s due in %s"), $_task['title'],
        Nag::secondsToString($differential)), 'nag.alarm');
    }
}

ksort($_messages);
foreach ($_messages as $message) {
    $notification->push($message[0], $message[1]);
}

// Check here for guest calendars so that we don't get multiple
// messages after redirects, etc.
if (!Auth::getAuth() && !count($GLOBALS['display_tasklists'])) {
    $notification->push(_("No task lists are available to guests."));
}

// Display all notifications.
$notification->notify();
